Package commoble.morered.plate_blocks

# Enum Class InputSide

java.lang.Object
java.lang.Enum<InputSide>
commoble.morered.plate_blocks.InputSide

All Implemented Interfaces:
  `Serializable`, `Comparable<InputSide>`, `Constable`

public enum InputSide extends Enum<InputSide>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`A`
`B`
`C`

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.minecraft.world.level.block.state.properties.BooleanProperty`
`property`
`final int`
`rotationsFromOutput`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isBlockReceivingPower(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)`
Returns true if a given block with the relevant blockstate properties is receiving power from the direction associated with this input side.
`static InputSide`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static InputSide[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### A

public static final InputSide A

### B

public static final InputSide B

### C

public static final InputSide C

## Field Details

### property

public final net.minecraft.world.level.block.state.properties.BooleanProperty property

### rotationsFromOutput

public final int rotationsFromOutput

## Method Details

### values

public static InputSide[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static InputSide valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isBlockReceivingPower

public boolean isBlockReceivingPower(net.minecraft.world.level.Level world, net.minecraft.world.level.block.state.BlockState state, net.minecraft.core.BlockPos pos)
Returns true if a given block with the relevant blockstate properties is receiving power from the direction associated with this input side. Returns false if not, or if the block lacks the relevant properties.

Parameters:
  `world` - The world where the state lives
  `state` - A blockstate of this block
  `pos` - The position of the state in the world
Returns:
  Whether the block is receiving power